DECLARE
   v_dummy   NUMBER;
BEGIN
   FOR i IN 1 .. apex_application.g_f31.COUNT  -- EMPNO
   LOOP
      IF     apex_application.g_f33 (i) IS NOT NULL  -- CHECKSUM FIELD
         AND wwv_flow_item.md5 (apex_application.g_f32 (i))  ENAME
                                <> apex_application.g_f33 (i)
      THEN
         BEGIN
            SELECT     1 INTO v_dummy FROM emp_garbage_1
                 WHERE empno = apex_application.g_f31 (i)
                   AND wwv_flow_item.md5 (ename) 
                       = apex_application.g_f33 (i)
            FOR UPDATE NOWAIT;
         EXCEPTION
            WHEN NO_DATA_FOUND
            THEN
               RETURN 'Der Datensatz ' 
               || i 
               || ' in der 1. Tabelle wurde gendert.';
         END;
      END IF;
   END LOOP;
   RETURN NULL;
END;


