BEGIN
   FOR c IN (SELECT item_name
                   FROM apex_application_page_items
                  WHERE application_id = :app_id
                    AND page_id = :page_id
                    AND item_name LIKE 'P' || :page_id || '_VALUE%')
   LOOP
      IF v (c.item_name) IS NOT NULL
      THEN
         apex_util.set_session_state (p_name       => c.item_name,
                                      p_value      => 1);
      END IF;
   END LOOP;
END;
