BEGIN
  -- Job komplett per CREATE JOB procedure anlegen.
  DBMS_SCHEDULER.create_job (
    job_name        => 'INDEX_PFLEGE_JOB',
    job_type        => 'PLSQL_BLOCK',
    job_action      => 'BEGIN ctx_ddl.sync_index(''NOTIZ_IDX''); END;',
    start_date      => SYSTIMESTAMP,
    repeat_interval => 'freq=hourly; byminute=0',
    end_date        => NULL,
    enabled         => TRUE,
    comments        => 'Job fuer die Indexpflege des CTX_Index NOTIZ_IDX.');
END;
/
