BEGIN
   IF NOT apex_collection.collection_exists ('DEPT_EMP')
   THEN
      apex_collection.create_or_truncate_collection ('DEPT_EMP');
      apex_collection.add_member (p_collection_name      => 'DEPT_EMP',
                                  p_c001                 => 20,
                                  p_c002                 => 7902
                                 );
   END IF;
END;


SELECT apex_item.checkbox (30,
                           seq_id,
                           'onclick="highlight_row(this,' || seq_id || ')"',
                           NULL,
                           ':',
                           'f30_' || LPAD (seq_id, 4, '0')
                          ) delete_checkbox,
          apex_item.hidden (31, seq_id)
       || apex_item.select_list_from_query
                               (32,
                                c001,
                                'SELECT dname d, ' || 'deptno r FROM dept',
                                   'style="width:220px" '
                                || 'onchange="f_set_casc_sel_list_item(this,'
                                || 'f33_'
                                || LPAD (seq_id, 4, '0')
                                || ')"',
                                'YES',
                                '0',
                                '- Select Department -',
                                'f32_' || LPAD (seq_id, 4, '0'),
                                NULL,
                                'NO'
                               ) deptno,
       apex_item.select_list_from_query (33,
                                         c002,
                                            'SELECT ename d, '
                                         || 'empno r FROM emp '
                                         || 'WHERE deptno = '
                                         || c001,
                                         'style="width:220px"',
                                         'YES',
                                         '0',
                                            '- Select Employee ('
                                         || (SELECT COUNT (*)
                                               FROM emp
                                              WHERE deptno = c001)
                                         || ') -',
                                         'f33_' || LPAD (seq_id, 4, '0'),
                                         NULL,
                                         'NO'
                                        ) employee
  FROM apex_collections
 WHERE collection_name = 'DEPT_EMP'


